package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.FundAliasDO;
import com.simuwang.base.pojo.dto.query.FundAliasPageQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FundAliasMapper {

    List<FundAliasDO> queryFundByNameAndRegisterNumber(@Param("fundName") String fundName, @Param("registerNumber") String registerNumber);

    List<FundAliasDO> queryFundByName(@Param("fundName") String fundName);

    List<FundAliasDO> queryFundByRegisterNumber(@Param("registerNumber") String registerNumber);

    List<FundAliasDO> searchFundAlias(FundAliasPageQuery fundAliasPageQuery);

    long countFundAlias(FundAliasPageQuery fundAliasPageQuery);

    FundAliasDO searchFundAliasById(@Param("id") Integer id);

    void saveFundAlias(FundAliasDO fundAliasDO);

    void insert(@Param("fundName") String fundName, @Param("registerNumber") String registerNumber);
}
